/** HTML 改變內容執行函式
 *  HTML change content execution function
 */
function csweb_ajax_jqenge_act(tid, type, estr, vstr, tobj){
	if(!isck_STRING(type,'Y')) return;
	if(type == 'hide') tid.hide();
	else if(type == 'show') tid.show();
	else if(type == 'focus') tid.focus();
	else if(type == 'select') tid.select();
	else if(type == 'click') tid.click();
	else if(type == 'change') tid.change();
	else if(type == 'scivw') tid.scrollIntoView();
	else if(type == 'remove') tid.remove();
	else if(type == 'empty') tid.empty();
	else if(type == 'trgr'){
		if(isck_STRING(estr,'Y')) tid.trigger(estr);
	}else if(type == 'trgrhr'){
		if(isck_STRING(estr,'Y')) tid.triggerHandler(estr);
	}else if(type == 'val'){
		if(isck_STRING(estr,'Y')) tid.val(estr);
	}else if(type == 'html'){
		if(isck_STRING(estr,'Y')) tid.html(estr);
	}else if(type == 'append'){
		if(isck_STRING(estr,'Y')) tid.append(estr);
	}else if(type == 'before'){
		if(isck_STRING(estr,'Y')) tid.before(estr);
	}else if(type == 'after'){
		if(isck_STRING(estr,'Y')) tid.after(estr);
	}else if(type == 'addcls'){
		if(isck_STRING(estr,'Y')) tid.addClass(estr);
	}else if(type == 'rmvcls'){
		if(isck_STRING(estr,'Y')) tid.removeClass(estr);
	}else if(type == 'css'){
		if(isck_STRING(estr,'Y')) tid.css(estr, vstr);
	}else if(type == 'attr'){
		if(isck_STRING(estr,'Y')) tid.attr(estr, vstr);
	}else if(type == 'prop'){
		if(isck_STRING(estr,'Y')) tid.prop(estr, ((vstr) ? true : false));
	}else if(type == 'insbfe' || type == 'insafr'){
		if(isck_STRING(estr,'Y')){
			if(estr == 'this' && (tobj)) estr = tobj;
			else if($(estr).length > 0) estr = $(estr);
			else return;
			if(!isck_ARRAY(vstr)) return;
			for(var i = 0; i < vstr.length; i++){
				if(!isck_OBJECT(vstr[i])) continue;
				estr = csweb_ajax_jqenge_tid(
						   estr,
						   ((vstr[i].type) ? vstr[i].type : null),
						   ((vstr[i].estr) ? vstr[i].estr : null)
					   );
			}
			if(type == 'insbfe') tid.insertBefore(estr);
			else if(type == 'insafr') tid.insertAfter(estr);
		}
	}
	return;
}